*** a/src/backend/access/transam/twophase_rmgr.c
--- b/src/backend/access/transam/twophase_rmgr.c
***************
*** 25,58 **** const TwoPhaseCallback twophase_recover_callbacks[TWOPHASE_RM_MAX_ID + 1] =
  {
  	NULL,						/* END ID */
  	lock_twophase_recover,		/* Lock */
- 	predicatelock_twophase_recover,		/* PredicateLock */
  	NULL,						/* pgstat */
! 	multixact_twophase_recover	/* MultiXact */
  };
  
  const TwoPhaseCallback twophase_postcommit_callbacks[TWOPHASE_RM_MAX_ID + 1] =
  {
  	NULL,						/* END ID */
  	lock_twophase_postcommit,	/* Lock */
- 	NULL,						/* PredicateLock */
  	pgstat_twophase_postcommit, /* pgstat */
! 	multixact_twophase_postcommit		/* MultiXact */
  };
  
  const TwoPhaseCallback twophase_postabort_callbacks[TWOPHASE_RM_MAX_ID + 1] =
  {
  	NULL,						/* END ID */
  	lock_twophase_postabort,	/* Lock */
- 	NULL,						/* PredicateLock */
  	pgstat_twophase_postabort,	/* pgstat */
! 	multixact_twophase_postabort	/* MultiXact */
  };
  
  const TwoPhaseCallback twophase_standby_recover_callbacks[TWOPHASE_RM_MAX_ID + 1] =
  {
  	NULL,						/* END ID */
  	lock_twophase_standby_recover,		/* Lock */
- 	NULL,						/* PredicateLock */
  	NULL,						/* pgstat */
! 	NULL						/* MultiXact */
  };
--- 25,58 ----
  {
  	NULL,						/* END ID */
  	lock_twophase_recover,		/* Lock */
  	NULL,						/* pgstat */
! 	multixact_twophase_recover, /* MultiXact */
! 	predicatelock_twophase_recover		/* PredicateLock */
  };
  
  const TwoPhaseCallback twophase_postcommit_callbacks[TWOPHASE_RM_MAX_ID + 1] =
  {
  	NULL,						/* END ID */
  	lock_twophase_postcommit,	/* Lock */
  	pgstat_twophase_postcommit, /* pgstat */
! 	multixact_twophase_postcommit,		/* MultiXact */
! 	NULL						/* PredicateLock */
  };
  
  const TwoPhaseCallback twophase_postabort_callbacks[TWOPHASE_RM_MAX_ID + 1] =
  {
  	NULL,						/* END ID */
  	lock_twophase_postabort,	/* Lock */
  	pgstat_twophase_postabort,	/* pgstat */
! 	multixact_twophase_postabort,		/* MultiXact */
! 	NULL						/* PredicateLock */
  };
  
  const TwoPhaseCallback twophase_standby_recover_callbacks[TWOPHASE_RM_MAX_ID + 1] =
  {
  	NULL,						/* END ID */
  	lock_twophase_standby_recover,		/* Lock */
  	NULL,						/* pgstat */
! 	NULL,						/* MultiXact */
! 	NULL						/* PredicateLock */
  };
